Subject: Re: [PATCH 3/3 XFRM]: Fix invalid key for lookup of cached bundles

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Mar 2005 04:11:17 +0100

Herbert Xu wrote:
> The reason I'm asking is because the places where you're most likely
> to use tos/fwmark is in IPsec gateways.  In other words, it isn't
> very useful unless it works in tunnel mode.  This plus the fact
> that the check for tunnel mode is a bit of a hack makes me think that
> it's not worth it at the moment.

Ok, let's drop it for now. One of my reasons for fixing it was that it
gives clearly defined behaviour, which makes it easier for me to make
sure the changes I made for xfrm resolution are correct. I'm simply
going to assume it will be working correctly sometime.

> On the subject of fixing the scalability issue, we should just use
> the flow cache directly for each bundle.

Let me think about it.

Regards
Patrick